Package org.opensaml.saml.ext.saml2mdui.impl

# Class UIInfoImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.ext.saml2mdui.impl.UIInfoImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `UIInfo`

public class UIInfoImpl extends AbstractXMLObject implements UIInfo
Concrete implementation of `UIInfo`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final IndexedXMLObjectChildrenList<XMLObject>`
`uiInfoChildren`
Children of the UIInfo.

### Fields inherited from interface org.opensaml.saml.ext.saml2mdui.UIInfo

`DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`UIInfoImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<Description>`
`getDescriptions()`
Return the descriptions.
`List<DisplayName>`
`getDisplayNames()`
Get the Display Names
`List<InformationURL>`
`getInformationURLs()`
Get the URLs.
`List<Keywords>`
`getKeywords()`
Get the keywords.
`List<Logo>`
`getLogos()`
Get the logos.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`List<PrivacyStatementURL>`
`getPrivacyStatementURLs()`
Get the Privacy Statement URLs.
`List<XMLObject>`
`getXMLObjects()`
Get the list of all children of this element.
`List<XMLObject>`
`getXMLObjects(QName typeOrName)`
Get the list of all children of this element which have the specified name or type.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### uiInfoChildren

@Nonnull private final IndexedXMLObjectChildrenList<XMLObject> uiInfoChildren
Children of the UIInfo.

## Constructor Details

### UIInfoImpl

protected UIInfoImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - namespaceURI
  `elementLocalName` - elementLocalName
  `namespacePrefix` - namespacePrefix

## Method Details

### getXMLObjects

@Nonnull @Live public List<XMLObject> getXMLObjects()
Get the list of all children of this element.

Specified by:
  `getXMLObjects` in interface `UIInfo`
Returns:
  the list of all XMLObject children

### getXMLObjects

@Nonnull @Live public List<XMLObject> getXMLObjects(@Nonnull QName typeOrName)
Get the list of all children of this element which have the specified name or type.

Specified by:
  `getXMLObjects` in interface `UIInfo`
Parameters:
  `typeOrName` - the element name or type of the desired list of elements
Returns:
  the list of all XMLObject children

### getDescriptions

@Nonnull @Live public List<Description> getDescriptions()
Return the descriptions.

The <Description> element specifies a set of brief, localized descriptions fit for display to users. In the case of service providers this SHOULD be a description of the service being offered. In the case of an identity provider this SHOULD be a description of the community serviced. In all cases this text SHOULD be standalone, meaning it is not meant to be filled in to some template text (e.g. 'This service offers $description').

Specified by:
  `getDescriptions` in interface `UIInfo`
Returns:
  descriptions

### getDisplayNames

@Nonnull @Live public List<DisplayName> getDisplayNames()
Get the Display Names

The <DisplayName> element specifies a set of localized names fit for display to users. Such names are meant to allow a user to distinguish and identify the entity acting in a particular role.

Specified by:
  `getDisplayNames` in interface `UIInfo`
Returns:
  the names

### getKeywords

@Nonnull @Live public List<Keywords> getKeywords()
Get the keywords.

The <Keywords> element specifies a set of keywords associated with the entity.

Specified by:
  `getKeywords` in interface `UIInfo`
Returns:
  a list of keywords

### getInformationURLs

@Nonnull @Live public List<InformationURL> getInformationURLs()
Get the URLs.

The <InformationURL> specifies URLs to localized information, about the entity acting in a given role, meant to be viewed by users. The contents found at these URLs SHOULD give a more complete set of information about than what is provided by the <Description> element.

Specified by:
  `getInformationURLs` in interface `UIInfo`
Returns:
  the URLs

### getLogos

@Nonnull @Live public List<Logo> getLogos()
Get the logos.

The <Logo> element specifies a set of localized logos fit for display to users.

Specified by:
  `getLogos` in interface `UIInfo`
Returns:
  a list of logos

### getPrivacyStatementURLs

@Nonnull @Live public List<PrivacyStatementURL> getPrivacyStatementURLs()
Get the Privacy Statement URLs.

The <PrivacyStatementURL> specifies URLs to localized privacy statements. Such statements are meant to provide a user with information about how information will be used and managed by the entity.

Specified by:
  `getPrivacyStatementURLs` in interface `UIInfo`
Returns:
  the URLs

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements